import time
from tr069_request import AcsRequest

acs = AcsRequest()

#Faz o refresh do objeto para forçar a cpe a atualizar
ret = acs.send_request({"name": "refreshObject", "objectName":"Device.IP.Diagnostics.IPPing"})
if ret.status_code == 200:
    print("Efetuado refresh da solicitação com sucesso.")
else:
    print("Erro ao solcitar o refresh da solcitação: ". str(ret))


#Seta o host de destino do teste de PING
parameter_values = ["Device.IP.Diagnostics.IPPing.Host", "10.5.9.159", "xsd:string"]
ret = acs.send_request({"name": "setParameterValues", "parameterValues": [parameter_values]})
if ret.status_code == 200:
    print("Host de destino alterado com sucesso.")
else:
    print("Erro ao alterar o host de destino:", str(ret))

time.sleep(5)

#Faz a solicitação para envio do PING
parameter_values = ["Device.IP.Diagnostics.IPPing.DiagnosticsState", "Requested", "xsd:string"]
ret = acs.send_request({"name": "setParameterValues", "parameterValues": [parameter_values]})
if ret.status_code == 200:
    print("Ping solicitado.")
else:
    print("Erro na solicitação do ping: ", str(ret))
